Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Class IdleStatus

    java.lang.Object
      org.apache.mina.common.IdleStatus

    public class IdleStatus

extends Object

Represents the type of idleness of `IoSession` or `IoSession`. There are three types of idleness:

- `READER_IDLE` - No data is coming from the remote peer.
- `WRITER_IDLE` - Session is not writing any data.
- `BOTH_IDLE` - Both `READER_IDLE` and `WRITER_IDLE`.

Idle time settings are all disabled by default. You can enable them using `IoSession.setIdleTime(IdleStatus,int)`.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary
`static IdleStatus` | `BOTH_IDLE` Represents both `READER_IDLE` and `WRITER_IDLE`.
`static IdleStatus` | `READER_IDLE` Represents the session status that no data is coming from the remote peer.
`static IdleStatus` | `WRITER_IDLE` Represents the session status that the session is not writing any data.

Method Summary
`String` | `toString()` Returns the string representation of this status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READER_IDLE

    public static final IdleStatus READER_IDLE

  Represents the session status that no data is coming from the remote peer.

### WRITER_IDLE

    public static final IdleStatus WRITER_IDLE

  Represents the session status that the session is not writing any data.

### BOTH_IDLE

    public static final IdleStatus BOTH_IDLE

  Represents both `READER_IDLE` and `WRITER_IDLE`.

Method Detail

### toString

    public String toString()

  Returns the string representation of this status.
  - `READER_IDLE` - `"reader idle"`
  - `WRITER_IDLE` - `"writer idle"`
  - `BOTH_IDLE` - `"both idle"`

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.